#!/bin/bash

echo "Time,PID,VmSize,VmHWM,VmRSS,VmData,VmSwap"

# 10秒おきに情報を取得し、CSV形式で出力
while true; do
    # program1プロセスのPIDを取得
    pids=$(pgrep program1)

    for pid in $pids; do
        if [ -e /proc/$pid/status ]; then
            vm_size=$(grep VmSize /proc/$pid/status | awk '{print $2, $3}')
            vm_hwm=$(grep VmHWM /proc/$pid/status | awk '{print $2, $3}')
            vm_rss=$(grep VmRSS /proc/$pid/status | awk '{print $2, $3}')
            vm_data=$(grep VmData /proc/$pid/status | awk '{print $2, $3}')
            vm_swap=$(grep VmSwap /proc/$pid/status | awk '{print $2, $3}')
            echo "$(date +'%Y-%m-%d %H:%M:%S'),$pid,$vm_size,$vm_hwm,$vm_rss,$vm_data,$vm_swap"
        fi
    done
    sleep 10
    echo "------------------------------------------------------"
    free
done

